## defusedxml 0.6.0

=== Makefile ===
PYTHON=python3
SETUPFLAGS=
COMPILEFLAGS=
INSTALLFLAGS=

.PHONY: inplace all rebuild test_inplace test fulltests clean distclean
.PHONY: sdist install black

all: inplace black README.html README.md

README.md: README.txt CHANGES.txt
	pandoc --from=rst --to=gfm README.txt > $@
	pandoc --from=rst --to=gfm CHANGES.txt >> $@
	sed -i ':a;N;$$!ba;s/\n\[!/[!/g' $@

README.html: README.txt CHANGES.txt void.css
	@echo | cat README.txt - CHANGES.txt | \
	    rst2html --verbose --exit-status=1 --stylesheet=void.css \
            > README.html

inplace:
	$(PYTHON) setup.py $(SETUPFLAGS) build_ext -i $(COMPILEFLAGS)

rebuild: clean all

test_inplace: inplace
	$(PYTHON) -m tests

test: test_inplace

black:
	black $(CURDIR) || true

clean:
	@find . \( -name '*.o' -or -name '*.so' -or -name '*.sl' -or \
	           -name '*.py[cod]' -or -name README.html \) \
	    -and -type f -delete

distclean: clean
	@rm -rf build
	@rm -rf dist
	@find . \( -name '~*' -or -name '*.orig' -or -name '*.bak' -or \
	          -name 'core*' \) -and -type f  -delete

whitespace:
	@find \( -name '*.rst' -or -name '*.py' -or -name '*.xml' \) | \
	    xargs sed -i 's/[ \t]*$$//'


packages: README.html README.md
	$(PYTHON) setup.py packages

install:
	$(PYTHON) setup.py $(SETUPFLAGS) build $(COMPILEFLAGS)
	$(PYTHON) setup.py install $(INSTALLFLAGS)

## defusedxml 0.4.1

=== debian/changelog ===
defusedxml (0.4.1-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:34:34 +0000

defusedxml (0.4.1-2) unstable; urgency=medium

  * Added Python 3 support.
  * Bumped Standards-Version to 3.9.5 (no changes needed)
  * Updated VCS-* fields to canonical locations. 
  * Added watch file.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 29 Jun 2014 16:38:39 -0700

defusedxml (0.4.1-1) unstable; urgency=low

  * Initial release. (Closes: #705691)

 -- Luke Faraone <lfaraone@debian.org>  Thu, 18 Apr 2013 11:15:53 -0400

=== debian/control ===
Source: defusedxml
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luke Faraone <lfaraone@debian.org>
Section: python
Priority: optional
Build-Depends: python-all (>= 2.6.6-3),
               python3-all,
               debhelper (>= 8),
               dh-python,
               python-setuptools,
               python3-setuptools
Standards-Version: 3.9.5
Homepage: https://pypi.python.org/pypi/defusedxml
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/defusedxml/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/defusedxml/trunk/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-defusedxml
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: XML bomb protection for Python stdlib modules (for Python 2)
 The results of an attack on a vulnerable XML library can be fairly dramatic.
 With just a few hundred bytes of XML data an attacker can occupy several
 gigabytes of memory within seconds. An attacker can also keep
 CPUs busy for a long time with a small to medium size request.
 .
 This library allows for XML to be parsed in a manner that avoids these
 pitfalls.
 .
 This package contains the module for the Python 2 interpreter.

Package: python3-defusedxml
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: XML bomb protection for Python stdlib modules (for Python 3)
 The results of an attack on a vulnerable XML library can be fairly dramatic.
 With just a few hundred bytes of XML data an attacker can occupy several
 gigabytes of memory within seconds. An attacker can also keep
 CPUs busy for a long time with a small to medium size request.
 .
 This library allows for XML to be parsed in a manner that avoids these
 pitfalls.
 .
 This package contains the module for the Python 3 interpreter.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=defusedxml

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
# watch control file for uscan
version=3
opts=pgpsigurlmangle=s/$/.asc/,filenamemangle=s/.*\/([^\/]+)#.+$/$1/ \
  https://pypi.python.org/pypi/defusedxml/ \
  .*/defusedxml-(.+)\.tar\.gz(?:#.*)? \
  debian

## defusedxml 0.5.0

=== debian/changelog ===
defusedxml (0.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Jelmer Vernooĳ ]
  * Bump debhelper from old 9 to 10.
  * Re-export upstream signing key without extra signatures.
  * Add a basic debian/upstream/metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 13 Feb 2018 10:18:18 +0100

defusedxml (0.5.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Jelmer Vernooĳ ]
  * Bump standards version (no changes).
  * Bump debhelper version to 9.
  * Refresh upstream signing key (new subkeys).
  * debian/watch: properly handle RC releases.
  * New upstream release.
  * Add myself to uploaders.
  * Run tests during build.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 02 Jul 2017 14:19:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,18 @@
 Source: defusedxml
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Luke Faraone <lfaraone@debian.org>
+Maintainer: Debian Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Luke Faraone <lfaraone@debian.org>, Jelmer Vernooĳ <jelmer@debian.org>
 Section: python
 Priority: optional
 Build-Depends: python-all (>= 2.6.6-3),
                python3-all,
-               debhelper (>= 8),
+               debhelper (>= 10~),
                dh-python,
                python-setuptools,
                python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 4.0.0
 Homepage: https://pypi.python.org/pypi/defusedxml
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/defusedxml/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/defusedxml/trunk/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Vcs-Git: https://salsa.debian.org/python-team/modules/defusedxml.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/defusedxml
 
 Package: python-defusedxml
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,10 @@
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	for PYTHON in $(shell pyversions -r) $(shell py3versions -r); do\
+	    $$PYTHON ./tests.py; \
+	done
+endif

## defusedxml 0.6.0

=== debian/changelog ===
defusedxml (0.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Debian Janitor ]
  * Remove obsolete fields Name from debian/upstream/metadata.
  * Set upstream metadata fields: Bug-Database, Repository.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #942945, #936382

 -- Sandro Tosi <morph@debian.org>  Wed, 19 Feb 2020 18:38:19 -0500

defusedxml (0.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ William Grzybowski ]
  * New upstream version 0.6.0
  * d/control: add autopkgtest-pkg-python Testsuite
  * d/control: update debhelper to version 12.
  * d/control: update Standards-Version to 4.4.0 (No changes needed)
  * d/copyright: fix copyright authors and years for upstream and debian
  * d/patches: add patch to remove images avoiding possible privacy breach
  * d/salsa-ci.yml: add to run CI in Salsa

 -- William Grzybowski <william@grzy.org>  Tue, 23 Jul 2019 19:53:42 -0300

=== debian/control ===
Source: defusedxml
Maintainer: Debian Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Luke Faraone <lfaraone@debian.org>, Jelmer Vernooĳ <jelmer@debian.org>
Section: python
Priority: optional
Build-Depends: dh-python,
               python3-all,
               debhelper-compat (= 12),
               python3-setuptools
Standards-Version: 4.4.1
Homepage: https://pypi.python.org/pypi/defusedxml
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/python-team/modules/defusedxml.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/defusedxml

Package: python3-defusedxml
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: XML bomb protection for Python stdlib modules (for Python 3)
 The results of an attack on a vulnerable XML library can be fairly dramatic.
 With just a few hundred bytes of XML data an attacker can occupy several
 gigabytes of memory within seconds. An attacker can also keep
 CPUs busy for a long time with a small to medium size request.
 .
 This library allows for XML to be parsed in a manner that avoids these
 pitfalls.
 .
 This package contains the module for the Python 3 interpreter.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=defusedxml

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	for PYTHON in $(shell py3versions -r); do\
	    $$PYTHON ./tests.py; \
	done
endif

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/,uversionmangle=s/(\d)[_\.\-\+]?((rc)\d*)$/$1~$2/ \
     https://pypi.debian.net/defusedxml/defusedxml-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## defusedxml 0.7.1

=== Makefile ===
--- 
+++ 
@@ -35,6 +35,7 @@
 	@find . \( -name '*.o' -or -name '*.so' -or -name '*.sl' -or \
 	           -name '*.py[cod]' -or -name README.html \) \
 	    -and -type f -delete
+	@rm -f .coverage .coverage.* coverage.xml
 
 distclean: clean
 	@rm -rf build

=== debian/changelog ===
defusedxml (0.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.
  * Update standards version to 4.5.1, no changes needed.

  [ Gordon Ball ]
  * d/watch: use github as upstream, drop expired signing key
  * New upstream version 0.7.1
  * Rebase patches, drop all
  * Update homepage to github.com/tiran/defusedxml
  * Rules-requires-root: no
  * docs: drop (generated) README.html
  * Standards-Version: 4.6.0
  * Add autopkgtest

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 Oct 2021 17:52:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: defusedxml
-Maintainer: Debian Python Modules Packaging Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Luke Faraone <lfaraone@debian.org>, Jelmer Vernooĳ <jelmer@debian.org>
 Section: python
 Priority: optional
 Build-Depends: dh-python,
                python3-all,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                python3-setuptools
-Standards-Version: 4.4.1
-Homepage: https://pypi.python.org/pypi/defusedxml
+Standards-Version: 4.6.0
+Homepage: https://github.com/tiran/defusedxml
 Testsuite: autopkgtest-pkg-python
-Vcs-Git: https://salsa.debian.org/python-team/modules/defusedxml.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/defusedxml
+Vcs-Git: https://salsa.debian.org/python-team/packages/defusedxml.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/defusedxml
+Rules-Requires-Root: no
 
 Package: python3-defusedxml
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=defusedxml

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	for PYTHON in $(shell py3versions -r); do\
	    $$PYTHON ./tests.py; \
	done

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc)\d*)$/$1~$2/ \
     https://github.com/tiran/defusedxml/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
